astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- Astroquery utils (`astroquery.utils`) »
- TableList

# TableList

class astroquery.utils.TableList(inp)

  Bases: `list`

  A class that inherits from `list` but included some pretty printing methods for an OrderedDict of `astropy.table.Table` objects.

  HINT: To access the tables by # instead of by table ID: >>> t = TableList([(‘a’,1),(‘b’,2)]) >>> t[1] 2 >>> t[‘b’] 2

  Methods Summary

  `format_table_list`() | Prints the names of all `astropy.table.Table` objects, with their respective number of row and columns, contained in the `TableList` instance.
  `keys`() |
  `pprint`(**kwargs) | Helper function to make API more similar to astropy.Tables
  `print_table_list`() |
  `values`() |

  Methods Documentation

  format_table_list()

    Prints the names of all `astropy.table.Table` objects, with their respective number of row and columns, contained in the `TableList` instance.

  keys()
  pprint(**kwargs)

    Helper function to make API more similar to astropy.Tables

  print_table_list()
  values()